### gnu.inet.encoding

# Class StringprepException

- `Exception`
- - `gnu.inet.encoding.StringprepException`

`public class StringprepException`
`extends Exception`

Exception handling for StringPrep class.

  ## Field Summary

  `static String`

  `BIDI_BOTHRAL`

  `static String`

  `BIDI_LTRAL`

  `static String`

  `CONTAINS_PROHIBITED`

  `static String`

  `CONTAINS_UNASSIGNED`

  ## Constructor Summary

  `StringprepException(String m)`

## Field Details

### BIDI_BOTHRAL

    public static String BIDI_BOTHRAL

### BIDI_LTRAL

    public static String BIDI_LTRAL

### CONTAINS_PROHIBITED

    public static String CONTAINS_PROHIBITED

### CONTAINS_UNASSIGNED

    public static String CONTAINS_UNASSIGNED

## Constructor Details

### StringprepException

    public StringprepException(String m)